Synchronize database

- « dba_replace

- ODBC »

- PHP Manual
- DBA Functions
- Synchronize database

# dba_sync

(PHP 4, PHP 5, PHP 7, PHP 8)

dba_sync — Synchronize database

### Description

dba_sync(Dba\Connection `$dba`): bool

dba_sync() synchronizes the database. This will probably trigger a physical write to the disk, if supported.

### Parameters

`dba`

  A Dba\Connection instance, returned by dba_open() or dba_popen().

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.4.0 | The `dba` parameter expects a Dba\Connection instance now; previously, a valid `dba` resource was expected.

### See Also

- dba_optimize() - Optimize database